# PhasicFlow: src/Interaction/contactSearch/boundaries/periodicBoundaryContactSearch/ppwBndryContactSearchKernels.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

ppwBndryContactSearchKernels.hpp File Reference
Include dependency graph for ppwBndryContactSearchKernels.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow
| pFlow::pweBndryContactSearchKernels

## Functions

void | buildNextHead (const deviceScatteredFieldAccess< realx3 > &points, const cells &searchCells, deviceViewType3D< uint32 > &head, deviceViewType1D< uint32 > &next)

uint32

broadSearchPP (csPairContainerType &ppPairs, const deviceScatteredFieldAccess< realx3 > &points, const deviceScatteredFieldAccess< real > &diams, const deviceScatteredFieldAccess< realx3 > &mirrorPoints, const deviceScatteredFieldAccess< real > &mirrorDiams, const realx3 &transferVec, const deviceViewType3D< uint32 > &head, const deviceViewType1D< uint32 > &next, const cells &searchCells, real sizeRatio)